package com.ejie.ab78.model.denuncias;

import java.util.Date;

import com.ejie.ab78.model.maestros.Motivo;

/**
 * Producto  
 * 
 *  
 */

public class RelacionMotivoDen implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idMotivoInterno;
	private Long idReclamacion;
	private Motivo motivo;
	private String descMotivo;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'RelacionMotivoDen'.
	 */
	public RelacionMotivoDen() {
	}

	/**
	 * Method 'RelacionMotivoDen'.
	 * 
	 * @param idMotivo
	 *            Long
	 */
	public RelacionMotivoDen(Long idMotivoInterno) {
		this.setIdMotivoInterno(idMotivoInterno);
	}

	public RelacionMotivoDen(long idMotivoInterno, long idReclamacion, Motivo motivo, String descMotivo,
			java.sql.Date fechaRegistro, String usuarioRegistro, java.sql.Date fechaUltmodificacion,
			String usuarioUltmodificacion) {
		this.idMotivoInterno = idMotivoInterno;
		this.idReclamacion = idReclamacion;
		this.motivo = motivo;
		this.descMotivo = descMotivo;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * @return the idMotivoInterno
	 */
	public Long getIdMotivoInterno() {
		return idMotivoInterno;
	}

	/**
	 * @param idMotivoInterno
	 *            the idMotivoInterno to set
	 */
	public void setIdMotivoInterno(Long idMotivoInterno) {
		this.idMotivoInterno = idMotivoInterno;
	}

	/**
	 * @return the idReclamacion
	 */
	public Long getIdReclamacion() {
		return idReclamacion;
	}

	/**
	 * @param idReclamacion
	 *            the idReclamacion to set
	 */
	public void setIdReclamacion(Long idReclamacion) {
		this.idReclamacion = idReclamacion;
	}

	/**
	 * @return the descMotivo
	 */
	public String getDescMotivo() {
		return descMotivo;
	}

	/**
	 * @param descMotivo
	 *            the descMotivo to set
	 */
	public void setDescMotivo(String descMotivo) {
		this.descMotivo = descMotivo;
	}

	/**
	 * @return the idMotivo
	 */
	public Motivo getMotivo() {
		return motivo;
	}

	/**
	 * @param idMotivo
	 *            the idMotivo to set
	 */
	public void setIdMotivo(Motivo motivo) {
		this.motivo = motivo;
	}

	/**
	 * @return the fechaRegistro
	 */
	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	/**
	 * @param fechaRegistro
	 *            the fechaRegistro to set
	 */
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the fechaUltmodificacion
	 */
	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	/**
	 * @param fechaUltmodificacion
	 *            the fechaUltmodificacion to set
	 */
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the usuarioUltmodificacion
	 */
	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	/**
	 * @param usuarioUltmodificacion
	 *            the usuarioUltmodificacion to set
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

}
